/**
 * PickupViewpickupviewpanel 部件模型
 *
 * @export
 * @class PickupViewpickupviewpanelModel
 */
export default class PickupViewpickupviewpanelModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof PickupViewpickupviewpanelModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'description',
      },
      {
        name: 'emplan',
        prop: 'emplanid',
      },
      {
        name: 'mdate',
      },
      {
        name: 'createman',
      },
      {
        name: 'updateman',
      },
      {
        name: 'prefee',
      },
      {
        name: 'plandesc',
      },
      {
        name: 'mtflag',
      },
      {
        name: 'plancvl',
      },
      {
        name: 'emplanname',
      },
      {
        name: 'createdate',
      },
      {
        name: 'orgid',
      },
      {
        name: 'emwotype',
      },
      {
        name: 'plantype',
      },
      {
        name: 'content',
      },
      {
        name: 'planinfo',
      },
      {
        name: 'eqstoplength',
      },
      {
        name: 'archive',
      },
      {
        name: 'activelengths',
      },
      {
        name: 'planstate',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'enable',
      },
      {
        name: 'rempname',
      },
      {
        name: 'dpname',
      },
      {
        name: 'acclassname',
      },
      {
        name: 'mpersonname',
      },
      {
        name: 'dptype',
      },
      {
        name: 'plantemplname',
      },
      {
        name: 'rdeptname',
      },
      {
        name: 'equipname',
      },
      {
        name: 'objname',
      },
      {
        name: 'rteamname',
      },
      {
        name: 'rservicename',
      },
      {
        name: 'recvpersonname',
      },
      {
        name: 'rserviceid',
      },
      {
        name: 'objid',
      },
      {
        name: 'mpersonid',
      },
      {
        name: 'rempid',
      },
      {
        name: 'dpid',
      },
      {
        name: 'equipid',
      },
      {
        name: 'acclassid',
      },
      {
        name: 'rdeptid',
      },
      {
        name: 'recvpersonid',
      },
      {
        name: 'plantemplid',
      },
      {
        name: 'rteamid',
      },
    ]
  }


}